From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/
Date: Tue, 10 Nov 2020 21:20:25 +0000 (UTC) [thread overview]
Message-ID: <1605043197.3c6254610e0a6236b95dceca67d5d975d9019d24.gyakovlev@gentoo> (raw)
commit: 3c6254610e0a6236b95dceca67d5d975d9019d24
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 21:13:56 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 21:19:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c625461
net-im/telegram-desktop: add 2.4.9 pre-release
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-im/telegram-desktop/Manifest | 1 +
.../telegram-desktop/telegram-desktop-2.4.9.ebuild | 173 +++++++++++++++++++++
2 files changed, 174 insertions(+)
diff --git a/net-im/telegram-desktop/Manifest b/net-im/telegram-desktop/Manifest
index 0504215766c..3dec1e11d27 100644
--- a/net-im/telegram-desktop/Manifest
+++ b/net-im/telegram-desktop/Manifest
@@ -1 +1,2 @@
DIST tdesktop-2.4.7-full.tar.gz 36355613 BLAKE2B 5b60bddd81d5472aaa303817be280604d5dcb4a5f7260c6b6fbd7ca075a46972adb4439e58e2f5b7877c10b3cb6420a7bc95ffe36ab0b3cf531a46758046f7c1 SHA512 712ab6896f89f7df0c7ac297039ee3b3532c159e17f66e4539b701a35d04d4709b558755d592d3cd91df541a2d2ca9f0485cf073c32f0b69a18848ab2ccd1993
+DIST tdesktop-2.4.9-full.tar.gz 36357016 BLAKE2B 3c74d712cec6488c85fc075b7e250fb3c97b5cdfed4621eac9ca14c40857906fc96ee5e1a3ad95fcfb48bd40c66f39a41b51d1d1ad757038448324ec07e02e5f SHA512 532858e98e1ec5a000fd63e336862b3e4b853cd47b299ad7239e65f5311bc578f0ffe18a47d7c2502b3e83fb799f88d00cf6f3d87d586a969b078c298bd47c25
diff --git a/net-im/telegram-desktop/telegram-desktop-2.4.9.ebuild b/net-im/telegram-desktop/telegram-desktop-2.4.9.ebuild
new file mode 100644
index 00000000000..24e0dfc2bbb
--- /dev/null
+++ b/net-im/telegram-desktop/telegram-desktop-2.4.9.ebuild
@@ -0,0 +1,173 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit cmake desktop flag-o-matic ninja-utils python-any-r1 xdg-utils
+
+MY_P="tdesktop-${PV}-full"
+
+DESCRIPTION="Official desktop client for Telegram"
+HOMEPAGE="https://desktop.telegram.org"
+SRC_URI="https://github.com/telegramdesktop/tdesktop/releases/download/v${PV}/${MY_P}.tar.gz"
+
+LICENSE="BSD GPL-3-with-openssl-exception LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="+dbus enchant +gtk +hunspell libressl lto pulseaudio +spell +webrtc +X"
+
+RDEPEND="
+ !net-im/telegram-desktop-bin
+ app-arch/lz4:=
+ app-arch/xz-utils
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ dev-libs/xxhash
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5[dbus?,jpeg,png,wayland,X(-)?]
+ dev-qt/qtimageformats:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5[png,X(-)?]
+ media-fonts/open-sans
+ media-libs/alsa-lib
+ media-libs/fontconfig:=
+ ~media-libs/libtgvoip-2.4.4_p20201030[pulseaudio=]
+ media-libs/openal[alsa]
+ media-libs/opus:=
+ media-video/ffmpeg:=[alsa,opus]
+ sys-libs/zlib[minizip]
+ virtual/libiconv
+ x11-libs/libxcb:=
+ dbus? (
+ dev-qt/qtdbus:5
+ dev-libs/libdbusmenu-qt[qt5(+)]
+ )
+ enchant? ( app-text/enchant:= )
+ gtk? (
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2[jpeg]
+ x11-libs/gtk+:3[X?]
+ x11-libs/libX11
+ )
+ hunspell? ( >=app-text/hunspell-1.7:= )
+ !pulseaudio? ( media-sound/apulse[sdk] )
+ pulseaudio? ( media-sound/pulseaudio )
+ webrtc? (
+ media-libs/libjpeg-turbo:=
+ ~media-libs/tg_owt-0_pre20201105[pulseaudio=]
+ )
+"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+ dev-cpp/range-v3
+ =dev-cpp/ms-gsl-3*
+"
+
+BDEPEND="
+ >=dev-util/cmake-3.16
+ virtual/pkgconfig
+ amd64? ( dev-lang/yasm )
+"
+
+REQUIRED_USE="
+ spell? (
+ ^^ ( enchant hunspell )
+ )
+ webrtc? ( !libressl )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+ if has ccache ${FEATURES}; then
+ ewarn
+ ewarn "ccache does not work with ${PN} out of the box"
+ ewarn "due to usage of precompiled headers"
+ ewarn "check bug https://bugs.gentoo.org/715114 for more info"
+ ewarn
+ fi
+}
+
+src_prepare() {
+ # conditional patching is bad, but we want vanilla telegram with webrtc.
+ use webrtc || local PATCHES=( "${FILESDIR}/no-webrtc-build.patch" )
+
+ # no explicit toggle #752417
+ sed -i 's/DESKTOP_APP_USE_PACKAGED/NO_ONE_WILL_EVER_SET_THIS/' \
+ cmake/external/rlottie/CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycxxflags=(
+ -Wno-deprecated-declarations
+ -Wno-error=deprecated-declarations
+ -Wno-switch
+ -Wno-unknown-warning-option
+ )
+
+ append-cxxflags "${mycxxflags[@]}"
+
+ # TODO: unbundle header-only libs, ofc telegram uses git versions...
+ # it fals with tl-expected-1.0.0, so we use bundled for now to avoid git rev snapshots
+ # EXPECTED VARIANT
+ # gtk is really needed for image copy-paste due to https://bugreports.qt.io/browse/QTBUG-56595
+ local mycmakeargs=(
+ -DCMAKE_DISABLE_FIND_PACKAGE_tl-expected=ON # header only lib, some git version. prevents warnings.
+ -DDESKTOP_APP_DISABLE_CRASH_REPORTS=ON
+ -DDESKTOP_APP_USE_GLIBC_WRAPS=OFF
+ -DDESKTOP_APP_USE_PACKAGED=ON
+ -DDESKTOP_APP_USE_PACKAGED_FONTS=ON
+ -DTDESKTOP_DISABLE_GTK_INTEGRATION="$(usex gtk OFF ON)"
+ -DTDESKTOP_LAUNCHER_BASENAME="${PN}"
+ -DDESKTOP_APP_DISABLE_DBUS_INTEGRATION="$(usex dbus OFF ON)"
+ -DDESKTOP_APP_DISABLE_SPELLCHECK="$(usex spell OFF ON)" # enables hunspell (recommended)
+ -DDESKTOP_APP_DISABLE_WEBRTC_INTEGRATION="$(usex webrtc OFF ON)"
+ -DDESKTOP_APP_USE_ENCHANT="$(usex enchant ON OFF)" # enables enchant and disables hunspell
+ $(usex lto "-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON" '')
+ )
+
+ if [[ -n ${MY_TDESKTOP_API_ID} && -n ${MY_TDESKTOP_API_HASH} ]]; then
+ einfo "Found custom API credentials"
+ mycmakeargs+=(
+ -DTDESKTOP_API_ID="${MY_TDESKTOP_API_ID}"
+ -DTDESKTOP_API_HASH="${MY_TDESKTOP_API_HASH}"
+ )
+ else
+ # https://github.com/telegramdesktop/tdesktop/blob/dev/snap/snapcraft.yaml
+ # Building with snapcraft API credentials by default
+ # Custom API credentials can be obtained here:
+ # https://github.com/telegramdesktop/tdesktop/blob/dev/docs/api_credentials.md
+ # After getting credentials you can export variables:
+ # export MY_TDESKTOP_API_ID="17349""
+ # export MY_TDESKTOP_API_HASH="344583e45741c457fe1862106095a5eb"
+ # and restart the build"
+ # you can set above variables (without export) in /etc/portage/env/net-im/telegram-desktop
+ # portage will use custom variable every build automatically
+ mycmakeargs+=(
+ -DTDESKTOP_API_ID="611335"
+ -DTDESKTOP_API_HASH="d524b414d21f4d37f08684c1df41ac9c"
+ )
+ fi
+
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+ use gtk || einfo "enable 'gtk' useflag if you have image copy-paste problems"
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
next reply other threads:[~2020-11-10 21:20 UTC|newest]
Thread overview: 209+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-10 21:20 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-02 10:35 [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/ Yixun Lan
2024-11-02 8:30 WANG Xuerui
2024-10-23 10:49 Yixun Lan
2024-10-17 0:30 Yixun Lan
2024-10-11 0:18 Yixun Lan
2024-10-11 0:07 Yixun Lan
2024-10-07 8:31 Yixun Lan
2024-09-18 7:54 Yixun Lan
2024-09-11 15:29 Yixun Lan
2024-09-11 15:01 Arthur Zamarin
2024-09-07 23:36 Yixun Lan
2024-09-04 2:32 Yixun Lan
2024-07-06 12:17 Yixun Lan
2024-07-05 21:15 Jakov Smolić
2024-06-13 7:00 Yixun Lan
2024-05-30 0:22 Yixun Lan
2024-05-14 2:08 Yixun Lan
2024-05-14 2:08 Yixun Lan
2024-05-04 9:19 Yixun Lan
2024-05-04 9:19 Yixun Lan
2024-04-16 22:38 Yixun Lan
2024-04-16 22:38 Yixun Lan
2024-04-10 23:34 Yixun Lan
2024-04-08 23:17 Yixun Lan
2024-04-08 23:13 Yixun Lan
2024-04-08 23:13 Yixun Lan
2024-04-06 12:53 Yixun Lan
2024-03-14 2:38 Yixun Lan
2024-03-14 2:38 Yixun Lan
2024-03-14 2:38 Yixun Lan
2024-03-05 23:38 Yixun Lan
2024-03-05 23:38 Yixun Lan
2024-03-03 22:12 Sam James
2024-02-25 4:27 Yixun Lan
2024-02-25 4:27 Yixun Lan
2024-02-12 6:33 Yixun Lan
2024-02-12 6:33 Yixun Lan
2024-01-31 9:04 Yixun Lan
2024-01-24 8:35 Michał Górny
2024-01-20 0:02 Yixun Lan
2024-01-20 0:02 Yixun Lan
2024-01-15 3:32 Ionen Wolkens
2024-01-14 20:43 Sam James
2024-01-02 12:03 Yixun Lan
2024-01-02 6:06 WANG Xuerui
2023-12-28 13:58 Yixun Lan
2023-12-11 13:25 Yixun Lan
2023-12-11 13:25 Yixun Lan
2023-11-14 11:16 Yixun Lan
2023-11-11 0:18 Yixun Lan
2023-11-07 8:41 Yixun Lan
2023-11-04 23:01 Yixun Lan
2023-10-31 1:07 Yixun Lan
2023-10-19 21:15 Yixun Lan
2023-10-10 21:41 Yixun Lan
2023-10-07 23:10 Yixun Lan
2023-10-07 22:26 Ionen Wolkens
2023-07-15 16:25 Sam James
2023-06-11 0:03 Yixun Lan
2023-05-18 7:12 Joonas Niilola
2023-05-16 17:07 Sam James
2023-05-07 7:22 Sam James
2023-05-07 7:22 Sam James
2023-04-28 8:20 Joonas Niilola
2023-04-17 20:16 Georgy Yakovlev
2023-03-30 17:57 Arthur Zamarin
2023-03-15 5:05 Sam James
2023-03-15 5:05 Sam James
2023-02-22 23:03 Georgy Yakovlev
2023-02-01 19:27 Andreas Sturmlechner
2023-01-22 23:36 Georgy Yakovlev
2023-01-21 16:53 Sam James
2022-12-08 20:03 Georgy Yakovlev
2022-12-08 20:03 Georgy Yakovlev
2022-12-08 20:03 Georgy Yakovlev
2022-12-02 22:49 Georgy Yakovlev
2022-12-02 22:49 Georgy Yakovlev
2022-11-29 14:59 Georgy Yakovlev
2022-11-24 8:10 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-09-20 15:29 Matt Turner
2022-09-01 6:27 Joonas Niilola
2022-09-01 6:27 Joonas Niilola
2022-08-02 22:07 Georgy Yakovlev
2022-08-02 22:07 Georgy Yakovlev
2022-07-20 5:15 Sam James
2022-06-27 0:25 Ionen Wolkens
2022-04-26 21:49 Sam James
2022-03-20 20:40 Arthur Zamarin
2022-03-20 18:55 Arthur Zamarin
2022-02-28 10:08 Jakov Smolić
2022-02-16 19:43 Georgy Yakovlev
2022-02-07 6:37 Sam James
2022-02-07 6:32 Sam James
2022-01-10 8:38 Agostino Sarubbo
2022-01-07 17:01 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2021-12-10 21:31 Georgy Yakovlev
2021-11-16 10:08 Jakov Smolić
2021-11-16 4:34 Georgy Yakovlev
2021-11-16 4:34 Georgy Yakovlev
2021-11-16 4:34 Georgy Yakovlev
2021-11-05 1:48 Georgy Yakovlev
2021-11-01 20:34 Georgy Yakovlev
2021-10-14 13:39 Agostino Sarubbo
2021-10-13 16:34 Georgy Yakovlev
2021-10-10 18:57 Georgy Yakovlev
2021-09-24 17:33 Georgy Yakovlev
2021-09-12 23:00 Sam James
2021-09-05 2:18 Georgy Yakovlev
2021-09-01 16:32 Georgy Yakovlev
2021-08-12 17:56 Georgy Yakovlev
2021-08-12 17:56 Georgy Yakovlev
2021-08-04 8:54 Georgy Yakovlev
2021-08-04 8:31 Georgy Yakovlev
2021-08-04 8:31 Georgy Yakovlev
2021-08-04 8:31 Georgy Yakovlev
2021-08-04 6:39 Agostino Sarubbo
2021-07-17 0:06 Georgy Yakovlev
2021-06-28 8:38 Georgy Yakovlev
2021-06-28 8:38 Georgy Yakovlev
2021-06-12 1:18 Sam James
2021-06-04 18:45 Georgy Yakovlev
2021-05-01 18:07 Sam James
2021-04-22 12:08 Sam James
2021-03-26 21:30 Georgy Yakovlev
2021-03-26 0:04 Sam James
2021-03-25 19:31 Georgy Yakovlev
2021-02-28 20:26 Georgy Yakovlev
2020-11-24 5:53 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-10 21:20 Georgy Yakovlev
2020-11-05 17:54 Georgy Yakovlev
2020-11-03 9:07 Georgy Yakovlev
2020-11-03 9:07 Georgy Yakovlev
2020-11-03 6:27 Georgy Yakovlev
2020-11-03 6:09 Georgy Yakovlev
2020-11-02 19:14 Georgy Yakovlev
2020-11-02 19:14 Georgy Yakovlev
2020-11-01 5:30 Sam James
2020-10-31 21:35 Georgy Yakovlev
2020-10-31 21:30 Georgy Yakovlev
2020-10-31 21:25 Georgy Yakovlev
2020-10-31 0:40 Georgy Yakovlev
2020-10-29 8:38 Georgy Yakovlev
2020-10-29 7:58 Georgy Yakovlev
2020-10-29 7:58 Georgy Yakovlev
2020-10-27 8:17 Georgy Yakovlev
2020-10-27 0:02 Georgy Yakovlev
2020-10-26 21:13 Georgy Yakovlev
2020-10-26 8:03 Georgy Yakovlev
2020-07-27 2:46 Georgy Yakovlev
2020-07-26 20:18 Georgy Yakovlev
2020-07-25 0:16 Georgy Yakovlev
2020-07-17 15:05 Agostino Sarubbo
2020-07-08 21:48 Georgy Yakovlev
2020-07-08 21:48 Georgy Yakovlev
2020-07-02 22:02 Georgy Yakovlev
2020-07-01 17:02 Georgy Yakovlev
2020-06-28 1:29 Georgy Yakovlev
2020-06-18 7:04 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-14 20:30 Georgy Yakovlev
2020-06-08 17:49 Georgy Yakovlev
2020-06-05 22:07 Georgy Yakovlev
2020-06-05 9:25 Georgy Yakovlev
2020-06-04 1:56 Georgy Yakovlev
2020-06-04 1:56 Georgy Yakovlev
2020-05-28 6:14 Georgy Yakovlev
2020-05-25 7:04 Georgy Yakovlev
2020-05-25 7:04 Georgy Yakovlev
2020-05-14 16:52 Georgy Yakovlev
2020-05-14 13:22 Agostino Sarubbo
2020-05-14 4:23 Georgy Yakovlev
2020-05-09 20:45 Georgy Yakovlev
2020-05-09 5:12 Georgy Yakovlev
2020-05-05 21:13 Georgy Yakovlev
2020-05-02 0:43 Georgy Yakovlev
2020-04-21 8:52 Agostino Sarubbo
2020-04-20 17:59 Georgy Yakovlev
2020-04-20 17:59 Georgy Yakovlev
2020-03-31 12:51 Georgy Yakovlev
2020-03-28 0:56 Georgy Yakovlev
2020-03-14 4:19 Georgy Yakovlev
2020-03-14 4:19 Georgy Yakovlev
2020-02-24 7:29 Georgy Yakovlev
2020-02-24 7:29 Georgy Yakovlev
2020-02-22 7:26 Georgy Yakovlev
2020-02-19 7:59 Georgy Yakovlev
2020-02-14 7:31 Georgy Yakovlev
2020-02-12 22:42 Georgy Yakovlev
2020-02-12 10:47 Georgy Yakovlev
2020-02-12 10:47 Georgy Yakovlev
2020-02-12 5:25 Georgy Yakovlev
2020-02-11 19:02 Georgy Yakovlev
2020-02-10 2:13 Georgy Yakovlev
2020-02-09 23:15 Georgy Yakovlev
2020-02-07 8:10 Georgy Yakovlev
2020-02-02 19:35 Mart Raudsepp
2020-01-28 22:40 Georgy Yakovlev
2020-01-26 6:41 Georgy Yakovlev
2020-01-25 17:56 Stefan Strogin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605043197.3c6254610e0a6236b95dceca67d5d975d9019d24.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox